--
-- Fichiers d'autorités pour UNIMARC en français
-- Authorities tables for UNIMARC in french
-- Copyright Paul POULAIN, BibLibre SARL

-- This file is part of Koha.
--
-- Koha is free software; you can redistribute it and/or modify it under the
-- terms of the GNU General Public License as published by the Free Software
-- Foundation; either version 2 of the License, or (at your option) any later
-- version.
--
-- Koha is distributed in the hope that it will be useful, but WITHOUT ANY
-- WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-- A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License along with
-- Koha; if not, write to the Free Software Foundation, Inc., 59 Temple Place,
-- Suite 330, Boston, MA  02111-1307 USA
--

-- 
-- Contenu de la table `auth_types`
-- 

set NAMES 'utf8';

INSERT INTO `auth_types` (`authtypecode`, `authtypetext`, `auth_tag_to_report`, `summary`) VALUES ('','Défaut','','');
INSERT INTO `auth_types` (`authtypecode`, `authtypetext`, `auth_tag_to_report`, `summary`) VALUES ('CO','Auteur (collectif/collectivité)','210','[210a ][ (210c)][. 210b][ -- 210d][ ; 210e][ ; 210f]');
INSERT INTO `auth_types` (`authtypecode`, `authtypetext`, `auth_tag_to_report`, `summary`) VALUES ('CO_UNI_TI','Vedette Rubrique de classement','235','[235a][ , 235b][ , 235e][ . 235k][ ; 235m][ . 235r][ . 235s][ . 235u][ . 235w][ . 235j][ -- 235x][ -- 235y][ -- 235z]');
INSERT INTO `auth_types` (`authtypecode`, `authtypetext`, `auth_tag_to_report`, `summary`) VALUES ('FAM','Famille','220','[220a][  (220f)][ -- 220j][ -- 220x][ -- 220y][ -- 220z]');
INSERT INTO `auth_types` (`authtypecode`, `authtypetext`, `auth_tag_to_report`, `summary`) VALUES ('GENRE/FORM','Vedette genre forme ou caractéristiques physiques','280','[280a][ . 280j][ -- 280x][ -- 280y][ -- 280z]');
INSERT INTO `auth_types` (`authtypecode`, `authtypetext`, `auth_tag_to_report`, `summary`) VALUES ('NAME_COL','Vedette Auteur Rubrique de classement','245','[245a][ . 245t][ . 245j][ -- 245x][ -- 245y][ -- 245z]');
INSERT INTO `auth_types` (`authtypecode`, `authtypetext`, `auth_tag_to_report`, `summary`) VALUES ('NP','Auteur','200','[200a][, 200b][ 200d][ ; 200c][ (200f)]');
INSERT INTO `auth_types` (`authtypecode`, `authtypetext`, `auth_tag_to_report`, `summary`) VALUES ('PA','Vedette lieu édition','260','[260a][ . 260b][ . 260c][ . 260d]');
INSERT INTO `auth_types` (`authtypecode`, `authtypetext`, `auth_tag_to_report`, `summary`) VALUES ('SAUTTIT','Auteur titre','240','[240a][, 240b][ 240d][ ; 240c][ (240f)][. 240t]\r\n');
INSERT INTO `auth_types` (`authtypecode`, `authtypetext`, `auth_tag_to_report`, `summary`) VALUES ('SNC','Sujet (nom commun)','250','[250a][ -- 250x][ -- 250y][ -- 250z] [(250b)]');
INSERT INTO `auth_types` (`authtypecode`, `authtypetext`, `auth_tag_to_report`, `summary`) VALUES ('SNG','Sujet (nom géographique)','215','[215a][ -- 215x][ -- 215y][ -- 215z]');
INSERT INTO `auth_types` (`authtypecode`, `authtypetext`, `auth_tag_to_report`, `summary`) VALUES ('TM','Marque','216','[216a][  (216f)][ ; 216c][ -- 216j][ -- 216x][ -- 216y][ -- 216z]');
INSERT INTO `auth_types` (`authtypecode`, `authtypetext`, `auth_tag_to_report`, `summary`) VALUES ('TU','Titre Uniforme','230','[230a][. 230i][. 230h][. 230m][. 230q][. 230k][ -- 230x][ -- 230y][ -- 230z][ -- 230l]');

-- 
-- Contenu de la table `auth_tag_structure`
-- 

INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '001', 'Identificateur de la notice', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '005', 'Identificateur de la version', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '015', '(ISADN)', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '100', 'Données générales de traitement', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '101', 'Langue de l''entité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '102', 'Nationalité de l''entité', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '152', 'Règles', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '160', 'Code d''aire géographique', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '200', 'Vedette', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '210', 'Vedette', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '215', 'Vedette', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '216', 'Marque', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '220', 'Nom famile', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '230', 'Vedette', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '235', 'Vedette Rubrique de classement', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '240', 'Vedette', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '245', 'Vedette Auteur Rubrique de classement', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '250', 'Vedette-Matière nom commun', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '260', 'Vedette Lieu d''édition', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '280', 'Vedette – Forme, genre ou caractéristiques physiques', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '300', 'Note d''information', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '305', 'Note de renvoi textuel \"Voir aussi\"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '310', 'Note de renvoi textuel \"Voir\"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '320', 'Note de renvoi explicatif', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '330', 'Note sur le champ d''application', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '356', 'Note géographique', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '400', 'Forme rejetée', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '410', 'Forme rejetée', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '415', 'Forme rejetée', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '416', 'Forme rejetée - Marque', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '420', 'Forme rejetée -Famille', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '430', 'Forme rejetée - Titre uniforme', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '445', 'Forme rejetée – Auteur / Rubrique de classement', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '450', 'Forme rejetée - Sujet', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '460', 'Forme rejetée – Lieu d’édition', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '480', 'Forme rejetée – Forme, genre ou caractéristiques physiques', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '500', 'Forme associée - auteur/sujet', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '510', 'Forme associée - collectivité', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '515', 'Forme associée - nom géographique', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '516', 'Forme associée -Marque', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '520', 'Forme associée - Famille', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '530', 'Forme associée - Titre uniforme', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '540', 'Forme associée Auteur/titre', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '545', 'Forme associée – Auteur / Rubrique de classement', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '550', 'Forme associée - Sujet', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '560', 'Forme associée – Lieu d’édition', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '580', 'Forme associée – Forme, genre ou caractéristiques physiques', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '686', 'Autres classifications', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '700', 'Forme parallèle – Nom de personne', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '710', 'Forme parallèle', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '715', 'Forme parallèle – Nom de territoire ou nom géographique', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '716', 'Forme parallèle – Marque', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '720', 'Forme parallèle – Famille', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '730', 'Forme parallèle – Titre uniforme', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '740', 'Forme parallèle – Auteur / Titre', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '745', 'Forme parallèle – Auteur / Rubrique de classement', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '750', 'Forme parallèle – Matière nom commun', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '760', 'Forme parallèle – Lieu d’édition', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '780', 'Forme parallèle – Forme, genre ou caractéristiques physiques', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '801', 'Origine de la notice', '', 1, 1, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '810', 'Sources consultées avec profit', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '815', 'Sources consultées en vain', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '825', 'Citation dans une autre notice', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '830', 'Note générale de travail', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('', '886', 'Données non converties du format source', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '001', 'Identificateur de la notice', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '005', 'Identificateur de la version', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '015', '(ISADN)', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '100', 'Données générales de traitement', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '101', 'Langue de l''entité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '102', 'Nationalité de l''entité', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '152', 'Règles', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '160', 'Code d''aire géographique', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '210', 'Vedette', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '300', 'Note d''information', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '305', 'Note de renvoi textuel \"Voir aussi\"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '310', 'Note de renvoi textuel \"Voir\"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '320', 'Note de renvoi explicatif', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '330', 'Note sur le champ d''application', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '356', 'Note géographique', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '410', 'Forme rejetée', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '510', 'Forme associée', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '686', 'Autres classifications', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '710', 'Forme parallèle', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '801', 'Origine de la notice', '', 1, 1, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '810', 'Sources consultées avec profit', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '815', 'Sources consultées en vain', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '825', 'Citation dans une autre notice', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '830', 'Note générale de travail', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO', '886', 'Données non converties du format source', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO_UNI_TI', '001', 'Identificateur de la notice', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO_UNI_TI', '005', 'Identificateur de la version', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO_UNI_TI', '015', '(ISADN)', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO_UNI_TI', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO_UNI_TI', '100', 'Données générales de traitement', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO_UNI_TI', '101', 'Langue de l''entité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO_UNI_TI', '102', 'Nationalité de l''entité', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO_UNI_TI', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO_UNI_TI', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO_UNI_TI', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO_UNI_TI', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO_UNI_TI', '152', 'Règles', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO_UNI_TI', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO_UNI_TI', '160', 'Code d''aire géographique', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO_UNI_TI', '235', 'Vedette rubrique de classement', '', 0, 1, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO_UNI_TI', '300', 'Note d''information', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO_UNI_TI', '305', 'Note de renvoi textuel \"Voir aussi\"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO_UNI_TI', '310', 'Note de renvoi textuel \"Voir\"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO_UNI_TI', '320', 'Note de renvoi explicatif', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO_UNI_TI', '330', 'Note sur le champ d''application', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO_UNI_TI', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO_UNI_TI', '356', 'Note géographique', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO_UNI_TI', '435', 'Forme rejetée', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO_UNI_TI', '535', 'Forme associée', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO_UNI_TI', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO_UNI_TI', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO_UNI_TI', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO_UNI_TI', '686', 'Autres classifications', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO_UNI_TI', '730', 'Forme parallèle', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO_UNI_TI', '801', 'Origine de la notice', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO_UNI_TI', '810', 'Sources consultées avec profit', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO_UNI_TI', '815', 'Sources consultées en vain', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO_UNI_TI', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO_UNI_TI', '825', 'Citation dans une autre notice', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO_UNI_TI', '830', 'Note générale de travail', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO_UNI_TI', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO_UNI_TI', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO_UNI_TI', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('CO_UNI_TI', '886', 'Données non converties du format source', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('FAM', '001', 'Identificateur de la notice', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('FAM', '005', 'Identificateur de la version', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('FAM', '015', '(ISADN)', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('FAM', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('FAM', '100', 'Données générales de traitement', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('FAM', '101', 'Langue de l''entité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('FAM', '102', 'Nationalité de l''entité', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('FAM', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('FAM', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('FAM', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('FAM', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('FAM', '152', 'Règles', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('FAM', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('FAM', '160', 'Code d''aire géographique', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('FAM', '220', 'Famille', '', 0, 1, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('FAM', '300', 'Note d''information', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('FAM', '305', 'Note de renvoi textuel \"Voir aussi\"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('FAM', '310', 'Note de renvoi textuel \"Voir\"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('FAM', '320', 'Note de renvoi explicatif', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('FAM', '330', 'Note sur le champ d''application', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('FAM', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('FAM', '356', 'Note géographique', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('FAM', '420', 'Forme rejetée', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('FAM', '520', 'Forme associée', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('FAM', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('FAM', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('FAM', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('FAM', '686', 'Autres classifications', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('FAM', '720', 'Forme parallèle – Famille', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('FAM', '750', 'Forme parallèle', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('FAM', '801', 'Origine de la notice', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('FAM', '810', 'Sources consultées avec profit', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('FAM', '815', 'Sources consultées en vain', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('FAM', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('FAM', '825', 'Citation dans une autre notice', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('FAM', '830', 'Note générale de travail', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('FAM', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('FAM', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('FAM', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('FAM', '886', 'Données non converties du format source', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('GENRE/FORM', '001', 'Identificateur de la notice', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('GENRE/FORM', '005', 'Identificateur de la version', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('GENRE/FORM', '015', '(ISADN)', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('GENRE/FORM', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('GENRE/FORM', '100', 'Données générales de traitement', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('GENRE/FORM', '101', 'Langue de l''entité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('GENRE/FORM', '102', 'Nationalité de l''entité', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('GENRE/FORM', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('GENRE/FORM', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('GENRE/FORM', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('GENRE/FORM', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('GENRE/FORM', '152', 'Règles', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('GENRE/FORM', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('GENRE/FORM', '160', 'Code d''aire géographique', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('GENRE/FORM', '280', 'Vedette genre forme ou caractéristiques physiques', '', 0, 1, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('GENRE/FORM', '300', 'Note d''information', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('GENRE/FORM', '305', 'Note de renvoi textuel \"Voir aussi\"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('GENRE/FORM', '310', 'Note de renvoi textuel \"Voir\"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('GENRE/FORM', '320', 'Note de renvoi explicatif', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('GENRE/FORM', '330', 'Note sur le champ d''application', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('GENRE/FORM', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('GENRE/FORM', '356', 'Note géographique', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('GENRE/FORM', '480', 'Forme rejetée', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('GENRE/FORM', '580', 'Forme associée', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('GENRE/FORM', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('GENRE/FORM', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('GENRE/FORM', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('GENRE/FORM', '686', 'Autres classifications', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('GENRE/FORM', '750', 'Forme parallèle', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('GENRE/FORM', '780', 'Forme parallèle – Forme, genre ou caractéristiques physiques', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('GENRE/FORM', '801', 'Origine de la notice', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('GENRE/FORM', '810', 'Sources consultées avec profit', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('GENRE/FORM', '815', 'Sources consultées en vain', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('GENRE/FORM', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('GENRE/FORM', '825', 'Citation dans une autre notice', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('GENRE/FORM', '830', 'Note générale de travail', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('GENRE/FORM', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('GENRE/FORM', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('GENRE/FORM', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('GENRE/FORM', '886', 'Données non converties du format source', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NAME_COL', '001', 'Identificateur de la notice', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NAME_COL', '005', 'Identificateur de la version', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NAME_COL', '015', '(ISADN)', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NAME_COL', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NAME_COL', '100', 'Données générales de traitement', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NAME_COL', '101', 'Langue de l''entité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NAME_COL', '102', 'Nationalité de l''entité', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NAME_COL', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NAME_COL', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NAME_COL', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NAME_COL', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NAME_COL', '152', 'Règles', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NAME_COL', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NAME_COL', '160', 'Code d''aire géographique', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NAME_COL', '245', 'Vedette Auteur Rubrique de classement', '', 0, 1, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NAME_COL', '300', 'Note d''information', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NAME_COL', '305', 'Note de renvoi textuel \"Voir aussi\"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NAME_COL', '310', 'Note de renvoi textuel \"Voir\"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NAME_COL', '320', 'Note de renvoi explicatif', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NAME_COL', '330', 'Note sur le champ d''application', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NAME_COL', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NAME_COL', '356', 'Note géographique', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NAME_COL', '445', 'Forme rejetée', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NAME_COL', '545', 'Forme associée', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NAME_COL', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NAME_COL', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NAME_COL', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NAME_COL', '686', 'Autres classifications', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NAME_COL', '745', 'Forme parallèle – Auteur / Rubrique de classement', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NAME_COL', '750', 'Forme parallèle', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NAME_COL', '801', 'Origine de la notice', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NAME_COL', '810', 'Sources consultées avec profit', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NAME_COL', '815', 'Sources consultées en vain', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NAME_COL', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NAME_COL', '825', 'Citation dans une autre notice', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NAME_COL', '830', 'Note générale de travail', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NAME_COL', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NAME_COL', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NAME_COL', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NAME_COL', '886', 'Données non converties du format source', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '001', 'Identificateur de la notice', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '005', 'Identificateur de la version', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '015', '(ISADN)', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '100', 'Données générales de traitement', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '101', 'Langue de l''entité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '102', 'Nationalité de l''entité', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '152', 'Règles', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '160', 'Code d''aire géographique', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '200', 'Vedette', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '300', 'Note d''information', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '305', 'Note de renvoi textuel \"Voir aussi\"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '310', 'Note de renvoi textuel \"Voir\"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '320', 'Note de renvoi explicatif', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '330', 'Note sur le champ d''application', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '356', 'Note géographique', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '400', 'Forme rejetée', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '500', 'Forme associée', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '686', 'Autres classifications', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '700', 'Forme parallèle', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '801', 'Origine de la notice', '', 1, 1, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '810', 'Sources consultées avec profit', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '815', 'Sources consultées en vain', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '825', 'Citation dans une autre notice', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '830', 'Note générale de travail', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('NP', '886', 'Données non converties du format source', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('PA', '001', 'Identificateur de la notice', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('PA', '005', 'Identificateur de la version', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('PA', '015', '(ISADN)', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('PA', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('PA', '100', 'Données générales de traitement', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('PA', '101', 'Langue de l''entité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('PA', '102', 'Nationalité de l''entité', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('PA', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('PA', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('PA', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('PA', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('PA', '152', 'Règles', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('PA', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('PA', '160', 'Code d''aire géographique', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('PA', '260', 'Vedette Lieu d''édition', '', 0, 1, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('PA', '300', 'Note d''information', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('PA', '305', 'Note de renvoi textuel \"Voir aussi\"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('PA', '310', 'Note de renvoi textuel \"Voir\"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('PA', '320', 'Note de renvoi explicatif', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('PA', '330', 'Note sur le champ d''application', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('PA', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('PA', '356', 'Note géographique', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('PA', '460', 'Forme rejetée', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('PA', '560', 'Forme associée', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('PA', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('PA', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('PA', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('PA', '686', 'Autres classifications', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('PA', '750', 'Forme parallèle', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('PA', '760', 'Forme parallèle – Lieu d’édition', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('PA', '801', 'Origine de la notice', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('PA', '810', 'Sources consultées avec profit', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('PA', '815', 'Sources consultées en vain', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('PA', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('PA', '825', 'Citation dans une autre notice', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('PA', '830', 'Note générale de travail', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('PA', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('PA', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('PA', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('PA', '886', 'Données non converties du format source', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '001', 'Identificateur de la notice', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '005', 'Identificateur de la version', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '015', '(ISADN)', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '100', 'Données générales de traitement', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '101', 'Langue de l''entité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '102', 'Nationalité de l''entité', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '152', 'Règles', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '160', 'Code d''aire géographique', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '240', 'Vedette', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '300', 'Note d''information', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '305', 'Note de renvoi textuel \"Voir aussi\"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '310', 'Note de renvoi textuel \"Voir\"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '320', 'Note de renvoi explicatif', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '330', 'Note sur le champ d''application', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '356', 'Note géographique', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '440', 'Forme rejetée', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '540', 'Forme associée', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '686', 'Autres classifications', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '740', 'Forme parallèle', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '801', 'Origine de la notice', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '810', 'Sources consultées avec profit', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '815', 'Sources consultées en vain', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '825', 'Citation dans une autre notice', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '830', 'Note générale de travail', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SAUTTIT', '886', 'Données non converties du format source', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '001', 'Identificateur de la notice', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '005', 'Identificateur de la version', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '015', '(ISADN)', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '100', 'Données générales de traitement', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '101', 'Langue de l''entité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '102', 'Nationalité de l''entité', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '152', 'Règles', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '160', 'Code d''aire géographique', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '250', 'Vedette-Matière nom commun', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '300', 'Note d''information', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '305', 'Note de renvoi textuel \"Voir aussi\"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '310', 'Note de renvoi textuel \"Voir\"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '320', 'Note de renvoi explicatif', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '330', 'Note sur le champ d''application', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '356', 'Note géographique', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '450', 'Forme rejetée', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '550', 'Forme associée', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '686', 'Autres classifications', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '750', 'Forme parallèle', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '801', 'Origine de la notice', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '810', 'Sources consultées avec profit', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '815', 'Sources consultées en vain', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '825', 'Citation dans une autre notice', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '830', 'Note générale de travail', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNC', '886', 'Données non converties du format source', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '001', 'Identificateur de la notice', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '005', 'Identificateur de la version', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '015', '(ISADN)', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '100', 'Données générales de traitement', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '101', 'Langue de l''entité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '102', 'Nationalité de l''entité', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '152', 'Règles', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '160', 'Code d''aire géographique', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '215', 'Vedette', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '300', 'Note d''information', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '305', 'Note de renvoi textuel \"Voir aussi\"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '310', 'Note de renvoi textuel \"Voir\"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '320', 'Note de renvoi explicatif', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '330', 'Note sur le champ d''application', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '356', 'Note géographique', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '415', 'Forme rejetée', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '515', 'Forme associée', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '686', 'Autres classifications', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '715', 'Forme parallèle', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '801', 'Origine de la notice', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '810', 'Sources consultées avec profit', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '815', 'Sources consultées en vain', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '825', 'Citation dans une autre notice', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '830', 'Note générale de travail', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('SNG', '886', 'Données non converties du format source', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TM', '001', 'Identificateur de la notice', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TM', '005', 'Identificateur de la version', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TM', '015', '(ISADN)', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TM', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TM', '100', 'Données générales de traitement', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TM', '101', 'Langue de l''entité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TM', '102', 'Nationalité de l''entité', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TM', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TM', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TM', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TM', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TM', '152', 'Règles', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TM', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TM', '160', 'Code d''aire géographique', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TM', '216', 'Vedette Auteur Rubrique de classement', '', 0, 1, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TM', '300', 'Note d''information', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TM', '305', 'Note de renvoi textuel \"Voir aussi\"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TM', '310', 'Note de renvoi textuel \"Voir\"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TM', '320', 'Note de renvoi explicatif', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TM', '330', 'Note sur le champ d''application', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TM', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TM', '356', 'Note géographique', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TM', '416', 'Forme rejetée', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TM', '516', 'Forme associée', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TM', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TM', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TM', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TM', '686', 'Autres classifications', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TM', '716', 'Forme parallèle – Marque', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TM', '750', 'Forme parallèle', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TM', '801', 'Origine de la notice', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TM', '810', 'Sources consultées avec profit', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TM', '815', 'Sources consultées en vain', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TM', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TM', '825', 'Citation dans une autre notice', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TM', '830', 'Note générale de travail', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TM', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TM', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TM', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TM', '886', 'Données non converties du format source', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '001', 'Identificateur de la notice', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '005', 'Identificateur de la version', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '015', '(ISADN)', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '035', 'Identificateur de la notice dans un autre système', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '100', 'Données générales de traitement', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '101', 'Langue de l''entité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '102', 'Nationalité de l''entité', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '106', 'Zone de données codées : Nom de personne / Nom de collectivité / Famille /Marque, utilisés comme vedettes matières', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '120', 'Zone de données codées : Nom de personne', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '123', 'Zone de données codées : Nom de territoire ou nom  géographique', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '150', 'Zone de données codées : Nom de collectivité', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '152', 'Règles', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '154', 'Zone de données codées : titre uniforme', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '160', 'Code d''aire géographique', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '230', 'Vedette', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '300', 'Note d''information', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '305', 'Note de renvoi textuel \"Voir aussi\"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '310', 'Note de renvoi textuel \"Voir\"', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '320', 'Note de renvoi explicatif', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '330', 'Note sur le champ d''application', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '340', 'Note sur la biographie et l''activité', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '356', 'Note géographique', '', 0, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '430', 'Forme rejetée', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '530', 'Forme associée', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '675', 'Classification décimale universelle (CDU)(provisoire)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '676', 'Classification décimale Dewey (CDD)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '680', 'Classification de la Bibliothèque du Congrès (LCC)', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '686', 'Autres classifications', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '730', 'Forme parallèle', '', 1, 0, '');
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '801', 'Origine de la notice', '', 0, 1, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '810', 'Sources consultées avec profit', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '815', 'Sources consultées en vain', '', 0, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '820', 'Information sur l''utilisation ou le champ d''application de la vedette', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '825', 'Citation dans une autre notice', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '830', 'Note générale de travail', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '835', 'Information sur les vedettes remplaçant une vedette détruite', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '836', 'Information sur les vedettes remplacées', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '856', 'Adresse électronique et mode d''accès', '', 1, 0, NULL);
INSERT INTO `auth_tag_structure` (`authtypecode`, `tagfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `authorised_value`) VALUES ('TU', '886', 'Données non converties du format source', '', 1, 0, NULL);

-- 
-- Contenu de la table `auth_subfield_structure`
-- 

INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '001', '@', 'tag 001', '', 0, 0, 0, '', '', NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '005', '@', 'tag 005', '', 0, 0, 0, '', '', NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '015', '@', 'tag 015', '', 0, 0, 0, '', '', NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '035', 'a', 'Numéro de contrôle système', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '100', 'a', 'Données générale de traitement', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '101', 'a', 'Langue utilisée par l''entité', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '102', 'a', 'Pays', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '102', 'b', 'Localité', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '106', 'a', 'Code d''un caractère', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '120', 'a', 'Données codées : nom de personne', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '152', 'a', 'Règles de catalogage', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '152', 'b', 'système d''indexation matière', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '160', 'a', 'Code de l''aire géographique', '', 1, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '200', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '200', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '200', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '200', 'a', 'Elément d''entrée', '', 0, 1, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '200', 'b', 'Prénom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '200', 'c', 'Qualif autre que dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '200', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '200', 'f', 'Dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '200', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '200', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '200', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '200', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '200', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '210', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '210', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '210', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '210', 'a', 'Elément d''entrée', '', 0, 1, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '210', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '210', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '210', 'd', 'N° de congrès/session', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '210', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '210', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '210', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '210', 'h', 'Partie du nom autre que l''élément d''entrée et autre que l''élément rejeté 0 0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '210', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '210', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '210', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '216', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '216', 'c', 'Qualificatif', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '216', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '216', 'j', 'Subdivision de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '216', 'x', 'Subdivision de sujet', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '216', 'y', 'Subdivision géographique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '216', 'z', 'Subdivision chronologique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '220', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '220', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '220', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '220', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '220', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '220', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '230', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '230', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '230', 'a', 'Elément d''entrée', '', 0, 1, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '230', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '230', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '230', 'i', 'Titre de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '230', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '230', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '230', 'l', 'Sous-vedette de forme', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '230', 'm', 'Langue', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '230', 'q', 'Version (ou date d''une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '230', 'r', 'Distribution d''exécution (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '230', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '230', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '230', 'w', 'Mention d''arrangement', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '230', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '230', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '230', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '235', 'a', 'Rubrique de classement', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '235', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '235', 'e', 'Subdivision', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '235', 'k', 'Date de publication', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '235', 'm', 'Langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '235', 'r', 'Distribution d’exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '235', 's', 'Références numériques (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '235', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '235', 'x', 'Subdivision de sujet', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '235', 'y', 'Subdivision géographique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '235', 'z', 'Subdivision chronologique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '240', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '240', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '240', 'a', 'Auteur', '', 0, 1, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '240', 'b', 'Prénom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '240', 'c', 'Qualificatifs', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '240', 'f', 'Dates', '', 0, 0, 0, '', NULL, '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '240', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '240', 't', 'Titre', '', 0, 1, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '240', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '240', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '240', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '245', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '245', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '245', 't', 'Rubrique de classement', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '245', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '245', 'y', 'Subdivision géographique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '245', 'z', 'Subdivision chronologique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '250', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '250', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '250', 'a', 'Elément d''entrée', '', 0, 1, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '250', 'b', 'Statut', '', 0, 0, 0, 'CAND', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '250', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '250', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '250', 'y', 'Subdivision  géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '250', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '260', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '260', 'b', 'Province', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '260', 'c', 'Comté Département', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '260', 'd', 'Ville', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '280', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '280', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '280', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '280', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '280', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '300', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '300', 'a', 'Note d''information', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '305', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '305', 'a', 'Formule introductive', '', 1, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '310', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '310', 'a', 'Formule introductive', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '320', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '330', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '330', 'a', 'Note sur le champ d''application', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '340', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '340', 'a', 'Note sur la biographie ou l''activité', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '356', '6', 'Données de liens entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '356', 'a', 'Note géographique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '400', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '400', '2', 'code du système d''indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '400', '3', 'Identificateur de la notice d''autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '400', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '400', '5', 'Données codées relatives aux mentions de formes rejetées ou associées    0    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '400', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '400', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '400', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '400', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '400', 'c', 'Qualif autre que dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '400', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '400', 'f', 'Dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '400', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '400', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '400', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '400', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '400', 'z', 'Subdivision', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '410', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '410', '2', 'Code du système d''indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '410', '3', 'Identificateur de la notice d''autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '410', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '410', '5', 'Données codées relatives aux mentions de formes rejetées ou associées    0     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '410', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '410', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '410', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '410', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '410', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '410', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '410', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '410', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '410', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '410', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '410', 'h', 'Partie du nom autre que l''élément d''entrée et que l''élément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '410', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '410', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '410', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '410', 'z', 'Subdivision', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '416', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '416', 'c', 'Qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '416', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '416', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '416', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '416', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '416', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '420', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '420', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '420', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '420', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '420', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '420', 'z', 'Subdivision chronologique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '430', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '430', '2', 'code du système d''indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '430', '3', 'Identificateur de la notice d''autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '430', '5', 'Données codées relatives aux mentions de formes rejetées ou associées     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '430', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '430', '7', 'Ecriture de catalogage et écriture de la racine de la vedette     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '430', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '430', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '430', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '430', 'h', 'Numéro de section ou  de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '430', 'i', 'titre de section ou  de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '430', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '430', 'k', 'date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '430', 'l', 'Sous-vedette de forme', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '430', 'm', 'Langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '430', 'n', 'Autres informations', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '430', 'q', 'Version (ou date d''une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '430', 'r', 'Distribution d''exécution (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '430', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '430', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '430', 'w', 'Mention d''arrangement (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '430', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '430', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '430', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '440', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '440', '2', 'Code du système d''indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '440', '3', 'Identificateur de la notice d''autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '440', '5', 'Données codées relatives aux mentions de formes rejetées ou associées     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '440', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '440', '7', 'Ecriture de catalogage et écriture de la racine de la vedette      0      0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '440', '8', 'Langue de catalogage et langue de la racine de la vedette      0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '440', 'a', 'Auteur', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '440', 'b', 'Prénom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '440', 'c', 'qualificatif', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '440', 'd', 'numérotation (chiffres romains)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '440', 'f', 'Dates', '', 0, 0, 0, '', NULL, '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '440', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '440', 't', 'Titre', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '440', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '440', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '440', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '445', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '445', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '445', 't', 'Rubrique de classement', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '445', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '445', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '445', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '450', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '450', '2', 'Code du système d''indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '450', '3', 'Identificateur de la notice d''autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '450', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '450', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '450', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '450', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '450', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '450', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '450', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '450', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '450', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '460', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '460', 'b', 'Province', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '460', 'c', 'Comté Département', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '460', 'd', 'Ville', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '480', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '480', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '480', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '480', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '480', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '500', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '500', '2', 'Code du système d''indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '500', '3', 'Identificateur de la notice d''autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '500', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '500', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, 'AUT_LIEN', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '500', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '500', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '500', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '500', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '500', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '500', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '500', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '500', 'f', 'Dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '500', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '500', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '500', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '500', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '500', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '510', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '510', '2', 'Code du système d''indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '510', '3', 'Identificateur de la notice d''autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '510', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '510', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, 'AUT_LIEN', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '510', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '510', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '510', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '510', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '510', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '510', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '510', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '510', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '510', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '510', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '510', 'h', 'Partie du nom autre que l''élément d''entrée et que l''élément rejeté     0     0', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '510', 'j', 'subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '510', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '510', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '510', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '516', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '516', 'c', 'Qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '516', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '516', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '516', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '516', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '516', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '520', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '520', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '520', 'j', 'Subdivision de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '520', 'x', 'Subdivision de sujet', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '520', 'y', 'Subdivision géographique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '520', 'z', 'Subdivision chronologique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '530', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '530', '2', 'Code du système d''indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '530', '3', 'Identificateur de la notice d''autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '530', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, 'AUT_LIEN', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '530', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '530', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '530', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '530', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '530', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '530', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '530', 'i', 'Titre de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '530', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '530', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '530', 'l', 'Sous-vedette de forme', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '530', 'm', 'langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '530', 'n', 'Autre informations', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '530', 'q', 'Version (ou date d''une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '530', 'r', 'Distribution d''exécution (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '530', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '530', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '530', 'w', 'Mention d''arrangement (pour la musique)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '530', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '530', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '530', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '540', '0', 'Formule introductive', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '540', '2', 'Code du système d''indexation matière', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '540', '3', 'Identificateur de la notice d''autorité', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '540', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0      0', '', 0, 0, 0, 'AUT_LIEN', NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '540', '6', 'Données de lien entre zones', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '540', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '540', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '540', 'a', 'Auteur', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '540', 'j', 'Subdivision de forme', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '540', 't', 'Titre', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '540', 'x', 'Subdiv. de sujet', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '540', 'y', 'Subdiv. géographique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '540', 'z', 'Subdiv. chronologique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '545', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '545', 'j', 'Subdivision de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '545', 't', 'Rubrique de classement', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '545', 'x', 'Subdivision de sujet', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '545', 'y', 'Subdivision géographique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '545', 'z', 'Subdivision chronologique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '550', '0', 'Formule introductive', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '550', '2', 'Code du système d''indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '550', '3', 'Identificateur de la notice d''autorité', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '550', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, 'AUT_LIEN', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '550', '6', 'Données de lien entre zones', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '550', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '550', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '550', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '550', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '550', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '550', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '550', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '560', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '560', 'b', 'Province', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '560', 'c', 'Comté Département', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '560', 'd', 'Ville', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '580', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '580', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '580', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '580', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '580', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '675', 'a', 'Indice CDU, isolé ou début d''une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '675', 'c', 'Termes explicatifs', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '675', 'v', 'Edition de la CDU', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '675', 'z', 'Langue de l''édition', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '676', 'a', 'Indice CDD, isolé ou début d''une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '676', 'c', 'Termes explicatifs', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '676', 'v', 'Edition de la CDD', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '676', 'z', 'Langue de l''édition', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '680', 'a', 'Indice LCC, isolé ou début d''une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '680', 'c', 'Termes explicatifs', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '686', 'a', 'Indice , isolé ou début d''une série', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '686', 'b', 'Indice , fin de série', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '686', 'c', 'Termes explicatifs', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '700', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '700', 'b', 'Partie du nom autre que l’élément d’entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '700', 'c', 'Qualificatifs autres que les dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '700', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '700', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '700', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '700', 'j', 'Subdivision de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '700', 'x', 'Subdivision de sujet', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '700', 'y', 'Subdivision géographique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '700', 'z', 'Subdivision chronologique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '710', '2', 'Code du système d''indexation matière', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '710', '3', 'Identificateur', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '710', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '710', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '710', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '710', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '710', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '710', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '710', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '710', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '710', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '710', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '710', 'h', 'Partie du nom autre que l''élément d''entrée et que l''élément rejeté', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '710', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '710', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '710', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '710', 'z', 'Subdivision', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '715', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '715', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '715', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '715', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '715', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '716', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '716', 'c', 'Qualificatif', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '716', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '716', 'j', 'Subdivision de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '716', 'x', 'Subdivision de sujet', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '716', 'y', 'Subdivision géographique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '716', 'z', 'Subdivision chronologique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '720', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '720', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '720', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '720', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '720', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '720', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '730', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '730', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '730', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '730', 'i', 'Titre de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '730', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '730', 'k', 'Date de publication', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '730', 'l', 'Sous-vedette de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '730', 'm', 'Langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '730', 'n', 'Autres informations', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '730', 'q', 'Version (ou date d’une version)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '730', 'r', 'Distribution d’exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '730', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '730', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '730', 'w', 'Mention d’arrangement (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '730', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '730', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '730', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '740', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '740', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '740', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '740', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '740', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '740', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '745', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '745', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '745', 't', 'Rubrique de classement', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '745', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '745', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '745', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '750', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '750', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '750', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '750', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '750', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '760', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '760', 'b', 'Province', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '760', 'c', 'Comté Département', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '760', 'd', 'Ville', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '780', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '780', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '780', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '780', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '780', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '801', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', 'FR');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '595126101');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', 'YYYYMMDD');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '810', 'a', 'Citation', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '810', 'b', 'Information trouvée', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '815', 'a', 'Citation', '', 1, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '820', 'a', 'Texte de la note', '', 1, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '825', 'a', 'Texte de la note', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '830', 'a', 'Texte de la note', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '835', 'a', 'Texte de la note', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '835', 'b', 'Vedette de remplacement', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '835', 'd', 'Date de la transaction', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '836', 'b', 'Vedette remplacée', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '836', 'd', 'Date de transaction', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '856', 'a', 'Nom du serveur', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '856', 'b', 'Numéro d''accès', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '856', 'c', 'Compression', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '856', 'd', 'Chemin d''accès', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '856', 'e', 'Date et heure de consultation et d''accès', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '856', 'f', 'Nom électronique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '856', 'g', 'Nom normalisé d''une ressource', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '856', 'h', 'Nom de l''utilisateur', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '856', 'i', 'Instruction', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '856', 'j', 'Bits par seconde', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '856', 'k', 'Mot de passe', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '856', 'l', 'Logon/login', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '856', 'm', 'Contact pour l''assistance technique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '856', 'o', 'système d''exploitation', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '856', 'p', 'Port', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '856', 'q', 'Type de format électronique', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '856', 'r', 'Paramétrage', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '856', 's', 'Taille du fichier', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '856', 't', 'Emulation du terminal', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '856', 'v', 'Heures d''accès', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '856', 'w', 'Numéro d''identification de la notice', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '856', 'x', 'Note confidentielle', '', 0, 1, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '856', 'y', 'Mode d''accès', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '856', 'z', 'Note publique', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '886', '2', 'Code de système', '', 0, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, 0, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('AUTTIT', '005', '@', 'Date de création', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('AUTTIT', '240', '1', 'Zone imbriquée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('AUTTIT', '240', '7', 'Ecriture de catalogage', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('AUTTIT', '240', '8', 'Langue de catalogage', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('AUTTIT', '240', 'a', 'Element d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('AUTTIT', '240', 'b', 'Sous zone b', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('AUTTIT', '240', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('AUTTIT', '240', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('AUTTIT', '240', 'x', 'Subdivision de sujet', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('AUTTIT', '240', 'y', 'Subdivision géographique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('AUTTIT', '356', 'a', 'Note géo', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('AUTTIT', '540', '3', 'N autorité bnf', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('AUTTIT', '540', '5', 'Type de lien', '', 0, 0, 0, 'AUT_LIEN', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('AUTTIT', '540', '9', 'N° autorité koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('AUTTIT', '540', 'a', 'Element d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'AUTTIT', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('AUTTIT', '540', 'b', 'Sous zone b', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('AUTTIT', '540', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('AUTTIT', '540', 't', 'Titre', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('AUTTIT', '540', 'x', 'Subdivision de sujet', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('AUTTIT', '540', 'y', 'Subdivision géographique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('AUTTIT', '540', 'z', 'Subdivision chronologique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('AUTTIT', '801', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', 'FR');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('AUTTIT', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '595126101');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('AUTTIT', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', 'YYYYMMDD');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '001', '@', 'tag 001', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '005', '@', 'tag 005', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '015', '@', 'tag 015', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '035', 'a', 'Numéro de contrôle système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '100', 'a', 'Données générale de traitement', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '101', 'a', 'Langue utilisée par l''entité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '102', 'a', 'Pays', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '102', 'b', 'Localité', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '106', 'a', 'Code d''un caractère', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '120', 'a', 'Données codées : nom de personne', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '152', 'a', 'Règles de catalogage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '152', 'b', 'système d''indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '160', 'a', 'Code de l''aire géographique', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '210', '3', 'Identification autorité', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '210', '4', 'Code de fonction', '', 1, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '210', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '210', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '210', 'a', 'Elément d''entrée', '', 0, 1, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '210', 'b', 'Subdivision', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '210', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '210', 'd', 'N° de congrès/session', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '210', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '210', 'f', 'Date du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '210', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '210', 'h', 'Partie du nom autre que l''élément d''entrée et autre que l''élément rejeté 0 0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '210', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '210', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '210', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '300', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '300', 'a', 'Note d''information', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '305', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '305', 'a', 'Formule introductive', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '310', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '310', 'a', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '320', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '330', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '330', 'a', 'Note sur le champ d''application', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '340', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '340', 'a', 'Note sur la biographie ou l''activité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '356', '6', 'Données de liens entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '356', 'a', 'Note géographique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '410', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '410', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '410', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '410', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '410', '5', 'Données codées relatives aux mentions de formes rejetées ou associées    0     0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '410', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '410', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '410', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '410', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '410', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '410', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '410', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '410', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '410', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '410', 'g', 'Elément rejeté', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '410', 'h', 'Partie du nom autre que l''élément d''entrée et que l''élément rejeté', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '410', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '410', 'x', 'Subdiv. de sujet', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '410', 'y', 'Subdiv. géographique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '410', 'z', 'Subdivision', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '510', '0', 'Formule introductive', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '510', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '510', '3', 'Identificateur de la notice d''autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '510', '4', 'Code de fonction', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '510', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, 'AUT_LIEN', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '510', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '510', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '510', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '510', '9', 'N° autorité koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '510', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CO', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '510', 'b', 'Subdivision', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '510', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '510', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '510', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '510', 'f', 'Date du congrès', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '510', 'g', 'Elément rejeté', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '510', 'h', 'Partie du nom autre que l''élément d''entrée et que l''élément rejeté     0     0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '510', 'j', 'subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '510', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '510', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '510', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '675', 'a', 'Indice CDU, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '675', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '675', 'v', 'Edition de la CDU', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '675', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '676', 'a', 'Indice CDD, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '676', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '676', 'v', 'Edition de la CDD', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '676', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '680', 'a', 'Indice LCC, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '680', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '686', 'a', 'Indice , isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '686', 'b', 'Indice , fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '686', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '710', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '710', '3', 'Identificateur', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '710', '4', 'Code de fonction', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '710', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '710', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '710', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '710', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '710', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '710', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '710', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '710', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '710', 'g', 'Elément rejeté', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '710', 'h', 'Partie du nom autre que l''élément d''entrée et que l''élément rejeté', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '710', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '710', 'x', 'Subdiv. de sujet', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '710', 'y', 'Subdiv. géographique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '710', 'z', 'Subdivision', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '801', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', 'FR');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '595126101');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', 'YYYYMMDD');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '810', 'a', 'Citation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '810', 'b', 'Information trouvée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '815', 'a', 'Citation', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '820', 'a', 'Texte de la note', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '825', 'a', 'Texte de la note', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '830', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '835', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '835', 'b', 'Vedette de remplacement', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '835', 'd', 'Date de la transaction', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '836', 'b', 'Vedette remplacée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '836', 'd', 'Date de transaction', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '856', 'a', 'Nom du serveur', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '856', 'b', 'Numéro d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '856', 'c', 'Compression', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '856', 'd', 'Chemin d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '856', 'e', 'Date et heure de consultation et d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '856', 'f', 'Nom électronique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '856', 'g', 'Nom normalisé d''une ressource', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '856', 'h', 'Nom de l''utilisateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '856', 'i', 'Instruction', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '856', 'k', 'Mot de passe', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '856', 'l', 'Logon/login', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '856', 'm', 'Contact pour l''assistance technique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '856', 'o', 'système d''exploitation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '856', 'p', 'Port', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '856', 'q', 'Type de format électronique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '856', 'r', 'Paramétrage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '856', 's', 'Taille du fichier', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '856', 't', 'Emulation du terminal', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '856', 'v', 'Heures d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '856', 'w', 'Numéro d''identification de la notice', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '856', 'x', 'Note confidentielle', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '856', 'y', 'Mode d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '856', 'z', 'Note publique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '886', '2', 'Code de système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '001', '@', 'tag 001', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '005', '@', 'tag 005', '', 0, 0, 0, '', '', NULL, NULL, 0, 0, '', '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '015', '@', 'tag 015', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '035', 'a', 'Numéro de contrôle système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '100', 'a', 'Données générale de traitement', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '101', 'a', 'Langue utilisée par l''entité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '102', 'a', 'Pays', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '102', 'b', 'Localité', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '106', 'a', 'Code d''un caractère', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '120', 'a', 'Données codées : nom de personne', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '152', 'a', 'Règles de catalogage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '152', 'b', 'système d''indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '160', 'a', 'Code de l''aire géographique', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '235', '3', 'Identification autorité', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '235', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '235', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '235', 'a', 'Rubrique de classement', '', 0, 1, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '235', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '235', 'e', 'Subdivision', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '235', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '235', 'k', 'Date de publication', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '235', 'm', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '235', 'r', 'Distribution d''exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '235', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '235', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '235', 'w', 'Mention d''arrangement', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '235', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '235', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '235', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '300', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '300', 'a', 'Note d''information', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '305', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '305', 'a', 'Formule introductive', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '310', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '310', 'a', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '320', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '330', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '330', 'a', 'Note sur le champ d''application', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '340', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '340', 'a', 'Note sur la biographie ou l''activité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '356', '6', 'Données de liens entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '356', 'a', 'Note géographique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '435', '0', 'Formule introductive', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '435', '2', 'code du système d''indexation matière', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '435', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '435', '5', 'Données codées relatives aux mentions de formes rejetées ou associées     0', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '435', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '435', '7', 'Ecriture de catalogage et écriture de la racine de la vedette     0', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '435', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '435', 'a', 'Rubrique de classement', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '435', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '435', 'e', 'Subdivision', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '435', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '435', 'k', 'date de publication', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '435', 'm', 'Langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '435', 'r', 'Distribution d''exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '435', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '435', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '435', 'w', 'Mention d''arrangement (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '435', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '435', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '435', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '535', '0', 'Formule introductive', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '535', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '535', '3', 'Identificateur de la notice d''autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '535', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '535', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '535', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '535', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '535', '9', 'N° autorité koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '535', 'a', 'Rubrique de classement', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'CO_UNI_TI', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '535', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '535', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '535', 'k', 'Date de publication', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '535', 'm', 'Langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '535', 'q', 'Version (ou date d''une version)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '535', 'r', 'Distribution d''exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '535', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '535', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '535', 'w', 'Mention d''arrangement (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '535', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '535', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '535', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '675', 'a', 'Indice CDU, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '675', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '675', 'v', 'Edition de la CDU', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '675', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '676', 'a', 'Indice CDD, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '676', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '676', 'v', 'Edition de la CDD', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '676', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '680', 'a', 'Indice LCC, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '680', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '686', 'a', 'Indice , isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '686', 'b', 'Indice , fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '686', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '730', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '730', '3', 'Identificateur', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '730', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '730', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '730', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '730', 'b', 'Indication générale du type de document', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '730', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '730', 'i', 'titre de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '730', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '730', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '730', 'l', 'Sous-vedette de forme', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '730', 'm', 'Langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '730', 'n', 'Autres informations', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '730', 'q', 'Version (ou date d''une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '730', 'r', 'Distribution d''exécution (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '730', 's', 'Références numériques (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '730', 'u', 'Tonalité (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '730', 'w', 'Mention d''arrangement (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '730', 'x', 'Subdiv. de sujet', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '730', 'y', 'Subdiv. géographique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '730', 'z', 'Subdiv. chronologique', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '801', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, NULL, 0, 0, '', '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '810', 'a', 'Citation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '810', 'b', 'Information trouvée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '815', 'a', 'Citation', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '820', 'a', 'Texte de la note', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '825', 'a', 'Texte de la note', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '830', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '835', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '835', 'b', 'Vedette de remplacement', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '835', 'd', 'Date de la transaction', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '836', 'b', 'Vedette remplacée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '836', 'd', 'Date de transaction', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '856', 'a', 'Nom du serveur', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '856', 'b', 'Numéro d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '856', 'c', 'Compression', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '856', 'd', 'Chemin d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '856', 'e', 'Date et heure de consultation et d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '856', 'f', 'Nom électronique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '856', 'g', 'Nom normalisé d''une ressource', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '856', 'h', 'Nom de l''utilisateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '856', 'i', 'Instruction', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '856', 'k', 'Mot de passe', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '856', 'l', 'Logon/login', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '856', 'm', 'Contact pour l''assistance technique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '856', 'o', 'système d''exploitation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '856', 'p', 'Port', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '856', 'q', 'Type de format électronique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '856', 'r', 'Paramétrage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '856', 's', 'Taille du fichier', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '856', 't', 'Emulation du terminal', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '856', 'v', 'Heures d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '856', 'w', 'Numéro d''identification de la notice', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '856', 'x', 'Note confidentielle', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '856', 'y', 'Mode d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '856', 'z', 'Note publique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '886', '2', 'Code de système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('CO_UNI_TI', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '001', '@', 'tag 001', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '005', '@', 'tag 005', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '015', '@', 'tag 015', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '035', 'a', 'Numéro de contrôle système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '100', 'a', 'Données générale de traitement', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '101', 'a', 'Langue utilisée par l''entité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '102', 'a', 'Pays', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '102', 'b', 'Localité', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '106', 'a', 'Code d''un caractère', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '120', 'a', 'Données codées : nom de personne', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '152', 'a', 'Règles de catalogage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '152', 'b', 'système d''indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '160', 'a', 'Code de l''aire géographique', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '220', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '220', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '220', 'x', 'Subdivision de sujet', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '220', 'y', 'Subdivision géographique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '220', 'z', 'Subdivision chronologique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '300', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '300', 'a', 'Note d''information', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '305', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '305', 'a', 'Formule introductive', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '310', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '310', 'a', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '320', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '330', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '330', 'a', 'Note sur le champ d''application', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '340', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '340', 'a', 'Note sur la biographie ou l''activité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '356', '6', 'Données de liens entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '356', 'a', 'Note géographique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '420', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '420', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '420', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '420', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '420', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '420', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '420', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '420', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '420', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '420', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '420', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '420', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '520', '0', 'Formule introductive', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '520', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '520', '3', 'Identificateur de la notice d''autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '520', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, 'AUT_LIEN', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '520', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '520', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '520', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '520', '9', 'N° autorité koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '520', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FA', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '520', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '520', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '520', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '520', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '675', 'a', 'Indice CDU, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '675', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '675', 'v', 'Edition de la CDU', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '675', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '676', 'a', 'Indice CDD, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '676', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '676', 'v', 'Edition de la CDD', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '676', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '680', 'a', 'Indice LCC, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '680', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '686', 'a', 'Indice , isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '686', 'b', 'Indice , fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '686', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '750', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '750', '3', 'Identificateur', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '750', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '750', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '750', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '750', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '750', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '750', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '750', 'z', 'Subdivision', '', 0, 1, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '801', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', 'FR');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '595126101');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', 'YYYYMMDD');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '810', 'a', 'Citation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '810', 'b', 'Information trouvée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '815', 'a', 'Citation', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '820', 'a', 'Texte de la note', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '825', 'a', 'Texte de la note', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '830', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '835', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '835', 'b', 'Vedette de remplacement', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '835', 'd', 'Date de la transaction', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '836', 'b', 'Vedette remplacée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '836', 'd', 'Date de transaction', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '856', 'a', 'Nom du serveur', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '856', 'b', 'Numéro d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '856', 'c', 'Compression', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '856', 'd', 'Chemin d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '856', 'e', 'Date et heure de consultation et d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '856', 'f', 'Nom électronique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '856', 'g', 'Nom normalisé d''une ressource', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '856', 'h', 'Nom de l''utilisateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '856', 'i', 'Instruction', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '856', 'k', 'Mot de passe', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '856', 'l', 'Logon/login', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '856', 'm', 'Contact pour l''assistance technique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '856', 'o', 'système d''exploitation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '856', 'p', 'Port', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '856', 'q', 'Type de format électronique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '856', 'r', 'Paramétrage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '856', 's', 'Taille du fichier', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '856', 't', 'Emulation du terminal', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '856', 'v', 'Heures d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '856', 'w', 'Numéro d''identification de la notice', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '856', 'x', 'Note confidentielle', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '856', 'y', 'Mode d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '856', 'z', 'Note publique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '886', '2', 'Code de système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FA', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FAM', '220', '3', 'Identification autorité', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FAM', '220', '7', 'Écriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FAM', '220', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FAM', '220', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FAM', '220', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FAM', '220', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FAM', '220', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FAM', '220', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FAM', '220', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FAM', '420', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FAM', '420', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FAM', '420', 'j', 'Subdivision de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FAM', '420', 'x', 'Subdivision de sujet', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FAM', '420', 'y', 'Subdivision géographique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FAM', '420', 'z', 'Subdivision chronologique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FAM', '520', '5', 'Type de lien', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FAM', '520', '9', 'Numéro autorité koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FAM', '520', 'a', 'Element d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'FAM', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FAM', '520', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FAM', '520', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FAM', '520', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FAM', '520', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FAM', '520', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FAM', '720', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FAM', '720', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FAM', '720', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FAM', '720', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FAM', '720', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('FAM', '720', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('GENRE/FORM', '280', '3', 'Identification autorité', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('GENRE/FORM', '280', '7', 'Écriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('GENRE/FORM', '280', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('GENRE/FORM', '280', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('GENRE/FORM', '280', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('GENRE/FORM', '280', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('GENRE/FORM', '280', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('GENRE/FORM', '280', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('GENRE/FORM', '480', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('GENRE/FORM', '480', 'j', 'Subdivision de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('GENRE/FORM', '480', 'x', 'Subdivision de sujet', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('GENRE/FORM', '480', 'y', 'Subdivision géographique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('GENRE/FORM', '480', 'z', 'Subdivision chronologique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('GENRE/FORM', '580', '5', 'Type de lien', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('GENRE/FORM', '580', '9', 'Numero autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('GENRE/FORM', '580', 'a', 'Element d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'GENRE/FORM', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('GENRE/FORM', '580', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('GENRE/FORM', '580', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('GENRE/FORM', '580', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('GENRE/FORM', '580', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('GENRE/FORM', '780', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('GENRE/FORM', '780', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('GENRE/FORM', '780', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('GENRE/FORM', '780', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('GENRE/FORM', '780', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NAME_COL', '245', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NAME_COL', '245', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NAME_COL', '245', 't', 'Rubrique de classement', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NAME_COL', '245', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NAME_COL', '245', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NAME_COL', '245', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NAME_COL', '445', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NAME_COL', '445', 'j', 'Subdivision de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NAME_COL', '445', 't', 'Rubrique de classement', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NAME_COL', '445', 'x', 'Subdivision de sujet', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NAME_COL', '445', 'y', 'Subdivision géographique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NAME_COL', '445', 'z', 'Subdivision chronologique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NAME_COL', '545', '5', 'Type de lien', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NAME_COL', '545', '9', 'Numero autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NAME_COL', '545', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NAME_COL', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NAME_COL', '545', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NAME_COL', '545', 't', 'Rubrique de classement', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NAME_COL', '545', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NAME_COL', '545', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NAME_COL', '545', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NAME_COL', '745', '3', 'Identificateur de la notice d’autorité', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NAME_COL', '745', '7', 'Écriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NAME_COL', '745', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NAME_COL', '745', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NAME_COL', '745', 'j', 'Subdivision de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NAME_COL', '745', 't', 'Rubrique de classement', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NAME_COL', '745', 'x', 'Subdivision de sujet', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NAME_COL', '745', 'y', 'Subdivision géographique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NAME_COL', '745', 'z', 'Subdivision chronologique', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '001', '@', 'tag 001', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '005', '@', 'tag 005', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '015', '@', 'tag 015', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '035', 'a', 'Numéro de contrôle système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '100', 'a', 'Données générale de traitement', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '101', 'a', 'Langue utilisée par l''entité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '102', 'a', 'Pays', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '102', 'b', 'Localité', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '106', 'a', 'Code d''un caractère', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '120', 'a', 'Données codées : nom de personne', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '152', 'a', 'Règles de catalogage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '152', 'b', 'système d''indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '160', 'a', 'Code de l''aire géographique', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '200', '3', 'Identification autorité', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '200', '4', 'Code de fonction', '', 1, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '200', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '200', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '200', 'a', 'Elément d''entrée', '', 0, 1, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '200', 'b', 'Prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '200', 'c', 'Qualif autre que dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '200', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '200', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '200', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '200', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '200', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '200', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '200', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '300', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '300', 'a', 'Note d''information', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '305', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '305', 'a', 'Formule introductive', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '310', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '310', 'a', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '320', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '330', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '330', 'a', 'Note sur le champ d''application', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '340', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '340', 'a', 'Note sur la biographie ou l''activité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '356', '6', 'Données de liens entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '356', 'a', 'Note géographique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '400', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '400', '2', 'code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '400', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '400', '4', 'Code de fonction', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '400', '5', 'Données codées relatives aux mentions de formes rejetées ou associées    0    0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '400', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '400', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '400', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '400', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '400', 'c', 'Qualif autre que dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '400', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '400', 'f', 'Dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '400', 'g', 'Développement des initiales du prénom', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '400', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '400', 'x', 'Subdiv. de sujet', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '400', 'y', 'Subdiv. géographique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '400', 'z', 'Subdivision', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '500', '0', 'Formule introductive', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '500', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '500', '3', 'Identificateur de la notice d''autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '500', '4', 'Code de fonction', '', 1, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '500', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 5, 'AUT_LIEN', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '500', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '500', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '500', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '500', '9', 'N° autorité koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '500', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'NP', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '500', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '500', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '500', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '500', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '500', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '500', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '500', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '500', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '500', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '675', 'a', 'Indice CDU, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '675', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '675', 'v', 'Edition de la CDU', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '675', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '676', 'a', 'Indice CDD, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '676', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '676', 'v', 'Edition de la CDD', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '676', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '680', 'a', 'Indice LCC, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '680', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '686', 'a', 'Indice , isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '686', 'b', 'Indice , fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '686', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '700', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '700', '3', 'Identificateur', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '700', '4', 'Code de fonction', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '700', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '700', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '700', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '700', 'b', 'Partie du nom autre que l''élément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '700', 'c', 'Qualif autre que dates', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '700', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '700', 'f', 'Dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '700', 'g', 'Développement des initiales du prénom', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '700', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '700', 'x', 'Subdiv. de sujet', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '700', 'y', 'Subdiv. géographique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '700', 'z', 'Subdivision', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '801', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', 'FR');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '595126101');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', 'YYYYMMDD');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '810', 'a', 'Citation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '810', 'b', 'Information trouvée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '815', 'a', 'Citation', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '820', 'a', 'Texte de la note', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '825', 'a', 'Texte de la note', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '830', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '835', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '835', 'b', 'Vedette de remplacement', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '835', 'd', 'Date de la transaction', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '836', 'b', 'Vedette remplacée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '836', 'd', 'Date de transaction', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '856', 'a', 'Nom du serveur', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '856', 'b', 'Numéro d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '856', 'c', 'Compression', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '856', 'd', 'Chemin d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '856', 'e', 'Date et heure de consultation et d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '856', 'f', 'Nom électronique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '856', 'g', 'Nom normalisé d''une ressource', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '856', 'h', 'Nom de l''utilisateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '856', 'i', 'Instruction', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '856', 'k', 'Mot de passe', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '856', 'l', 'Logon/login', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '856', 'm', 'Contact pour l''assistance technique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '856', 'o', 'système d''exploitation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '856', 'p', 'Port', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '856', 'q', 'Type de format électronique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '856', 'r', 'Paramétrage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '856', 's', 'Taille du fichier', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '856', 't', 'Emulation du terminal', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '856', 'v', 'Heures d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '856', 'w', 'Numéro d''identification de la notice', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '856', 'x', 'Note confidentielle', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '856', 'y', 'Mode d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '856', 'z', 'Note publique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '886', '2', 'Code de système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('NP', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('PA', '260', '3', 'Identification autorité', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('PA', '260', '7', 'Écriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('PA', '260', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('PA', '260', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('PA', '260', 'b', 'Province', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('PA', '260', 'c', 'Comté Département', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('PA', '260', 'd', 'Ville', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('PA', '460', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('PA', '460', 'b', 'Province', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('PA', '460', 'c', 'Comté Département', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('PA', '460', 'd', 'Ville', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('PA', '560', '5', 'Type de lien', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('PA', '560', '9', 'Numero autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('PA', '560', 'a', 'Element d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'PA', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('PA', '560', 'b', 'Province', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('PA', '560', 'c', 'Comté Département', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('PA', '560', 'd', 'Ville', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('PA', '760', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('PA', '760', 'b', 'Province', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('PA', '760', 'c', 'Comté Département', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('PA', '760', 'd', 'Ville', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '001', '@', 'tag 001', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '005', '@', 'tag 005', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '015', '@', 'tag 015', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '035', 'a', 'Numéro de contrôle système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '100', 'a', 'Données générale de traitement', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '101', 'a', 'Langue utilisée par l''entité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '102', 'a', 'Pays', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '102', 'b', 'Localité', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '106', 'a', 'Code d''un caractère', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '120', 'a', 'Données codées : nom de personne', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '152', 'a', 'Règles de catalogage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '152', 'b', 'système d''indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '160', 'a', 'Code de l''aire géographique', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '200', '4', 'Code de fonction', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '200', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '200', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '200', 'a', 'Elément d''entrée', '', 0, 1, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '200', 'b', 'Partie du nom autre que l''élément d''entré', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '200', 'c', 'Qualif autre que dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '200', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '200', 'f', 'Dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '200', 'g', 'Développement des initiales du prénom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '200', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '200', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '200', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '200', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '300', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '300', 'a', 'Note d''information', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '305', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '305', 'a', 'Formule introductive', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '310', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '310', 'a', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '320', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '330', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '330', 'a', 'Note sur le champ d''application', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '340', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '340', 'a', 'Note sur la biographie ou l''activité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '356', '6', 'Données de liens entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '356', 'a', 'Note géographique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '400', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '400', '2', 'code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '400', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '400', '4', 'Code de fonction', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '400', '5', 'Données codées relatives aux mentions de formes rejetées ou associées    0    0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '400', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '400', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '400', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '400', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '400', 'c', 'Qualif autre que dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '400', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '400', 'f', 'Dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '400', 'g', 'Développement des initiales du prénom', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '400', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '400', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '400', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '400', 'z', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '500', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '500', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '500', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '500', '4', 'Code de fonction', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '500', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, -1, 'AUT_LIEN', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '500', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '500', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '500', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '500', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '500', 'b', 'Autre élément du nom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '500', 'c', 'Qualificatifs autres au les dates', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '500', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '500', 'f', 'Dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '500', 'g', 'Développement des initiales du prénom', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '500', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '500', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '500', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '500', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '675', 'a', 'Indice CDU, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '675', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '675', 'v', 'Edition de la CDU', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '675', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '676', 'a', 'Indice CDD, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '676', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '676', 'v', 'Edition de la CDD', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '676', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '680', 'a', 'Indice LCC, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '680', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '686', 'a', 'Indice , isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '686', 'b', 'Indice , fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '686', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '700', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '700', '3', 'Identificateur', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '700', '4', 'Code de fonction', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '700', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '700', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '700', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '700', 'b', 'Partie du nom autre que l''élément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '700', 'c', 'Qualif autre que dates', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '700', 'd', 'Chiffres romains', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '700', 'f', 'Dates', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '700', 'g', 'Développement des initiales du prénom', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '700', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '700', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '700', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '700', 'z', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '801', 'a', 'Pays', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '810', 'a', 'Citation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '810', 'b', 'Information trouvée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '815', 'a', 'Citation', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '820', 'a', 'Texte de la note', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '825', 'a', 'Texte de la note', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '830', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '835', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '835', 'b', 'Vedette de remplacement', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '835', 'd', 'Date de la transaction', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '836', 'b', 'Vedette remplacée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '836', 'd', 'Date de transaction', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '856', 'a', 'Nom du serveur', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '856', 'b', 'Numéro d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '856', 'c', 'Compression', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '856', 'd', 'Chemin d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '856', 'e', 'Date et heure de consultation et d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '856', 'f', 'Nom électronique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '856', 'g', 'Nom normalisé d''une ressource', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '856', 'h', 'Nom de l''utilisateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '856', 'i', 'Instruction', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '856', 'k', 'Mot de passe', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '856', 'l', 'Logon/login', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '856', 'm', 'Contact pour l''assistance technique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '856', 'o', 'système d''exploitation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '856', 'p', 'Port', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '856', 'q', 'Type de format électronique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '856', 'r', 'Paramétrage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '856', 's', 'Taille du fichier', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '856', 't', 'Emulation du terminal', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '856', 'v', 'Heures d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '856', 'w', 'Numéro d''identification de la notice', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '856', 'x', 'Note confidentielle', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '856', 'y', 'Mode d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '856', 'z', 'Note publique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '886', '2', 'Code de système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUT', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '001', '@', 'tag 001', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '005', '@', 'tag 005', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '015', '@', 'tag 015', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '035', 'a', 'Numéro de contrôle système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '100', 'a', 'Données générale de traitement', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '101', 'a', 'Langue utilisée par l''entité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '102', 'a', 'Pays', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '102', 'b', 'Localité', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '106', 'a', 'Code d''un caractère', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '120', 'a', 'Données codées : nom de personne', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '152', 'a', 'Règles de catalogage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '152', 'b', 'système d''indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '160', 'a', 'Code de l''aire géographique', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '240', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '240', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '240', 'a', 'Auteur', '', 0, 1, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '240', 'b', 'Prénom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '240', 'c', 'Qualificatifs', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '240', 'f', 'Dates', '', 0, 0, 0, '', NULL, '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '240', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '240', 't', 'Titre', '', 0, 1, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '240', 'x', 'Subdiv. de sujet', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '240', 'y', 'Subdiv. géographique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '240', 'z', 'Subdiv. chronologique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '300', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '300', 'a', 'Note d''information', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '305', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '305', 'a', 'Formule introductive', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '310', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '310', 'a', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '320', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '330', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '330', 'a', 'Note sur le champ d''application', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '340', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '340', 'a', 'Note sur la biographie ou l''activité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '356', '6', 'Données de liens entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '356', 'a', 'Note géographique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '440', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '440', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '440', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '440', '5', 'Données codées relatives aux mentions de formes rejetées ou associées     0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '440', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '440', '7', 'Ecriture de catalogage et écriture de la racine de la vedette      0      0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '440', '8', 'Langue de catalogage et langue de la racine de la vedette      0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '440', 'a', 'Auteur', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '440', 'b', 'Prénom', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '440', 'c', 'qualificatif', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '440', 'd', 'numérotation (chiffres romains)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '440', 'f', 'Dates', '', 0, 0, 0, '', NULL, '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '440', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '440', 't', 'Titre', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '440', 'x', 'Subdiv. de sujet', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '440', 'y', 'Subdiv. géographique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '440', 'z', 'Subdiv. chronologique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '540', '0', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '540', '2', 'Code du système d''indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '540', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '540', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0      0', '', 0, 0, -1, 'AUT_LIEN', NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '540', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '540', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '540', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '540', 'a', 'Auteur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '540', 'j', 'Subdivision de forme', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '540', 't', 'Titre', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '540', 'x', 'Subdiv. de sujet', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '540', 'y', 'Subdiv. géographique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '540', 'z', 'Subdiv. chronologique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '675', 'a', 'Indice CDU, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '675', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '675', 'v', 'Edition de la CDU', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '675', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '676', 'a', 'Indice CDD, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '676', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '676', 'v', 'Edition de la CDD', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '676', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '680', 'a', 'Indice LCC, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '680', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '686', 'a', 'Indice , isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '686', 'b', 'Indice , fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '686', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '740', '2', 'Code du système d''indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '740', '3', 'Identificateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '740', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '740', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '740', 'a', 'Auteur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '740', 'j', 'Subdivision de forme', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '740', 't', 'Titre', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '740', 'x', 'Subdiv. de sujet', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '740', 'y', 'Subdiv. géographique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '740', 'z', 'Subdivision', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '801', 'a', 'Pays', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '810', 'a', 'Citation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '810', 'b', 'Information trouvée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '815', 'a', 'Citation', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '820', 'a', 'Texte de la note', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '825', 'a', 'Texte de la note', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '830', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '835', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '835', 'b', 'Vedette de remplacement', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '835', 'd', 'Date de la transaction', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '836', 'b', 'Vedette remplacée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '836', 'd', 'Date de transaction', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '856', 'a', 'Nom du serveur', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '856', 'b', 'Numéro d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '856', 'c', 'Compression', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '856', 'd', 'Chemin d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '856', 'e', 'Date et heure de consultation et d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '856', 'f', 'Nom électronique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '856', 'g', 'Nom normalisé d''une ressource', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '856', 'h', 'Nom de l''utilisateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '856', 'i', 'Instruction', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '856', 'k', 'Mot de passe', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '856', 'l', 'Logon/login', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '856', 'm', 'Contact pour l''assistance technique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '856', 'o', 'système d''exploitation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '856', 'p', 'Port', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '856', 'q', 'Type de format électronique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '856', 'r', 'Paramétrage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '856', 's', 'Taille du fichier', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '856', 't', 'Emulation du terminal', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '856', 'v', 'Heures d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '856', 'w', 'Numéro d''identification de la notice', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '856', 'x', 'Note confidentielle', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '856', 'y', 'Mode d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '856', 'z', 'Note publique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '886', '2', 'Code de système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SAUTTIT', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '001', '@', 'tag 001', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '005', '@', 'tag 005', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '015', '@', 'tag 015', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '035', 'a', 'Numéro de contrôle système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '100', 'a', 'Données générale de traitement', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '101', 'a', 'Langue utilisée par l''entité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '102', 'a', 'Pays', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '102', 'b', 'Localité', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '106', 'a', 'Code d''un caractère', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '120', 'a', 'Données codées : nom de personne', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '152', 'a', 'Règles de catalogage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '152', 'b', 'système d''indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '160', 'a', 'Code de l''aire géographique', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '210', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '210', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '210', 'a', 'Elément d''entrée', '', 0, 1, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '210', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '210', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '210', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '210', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '210', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '210', 'g', 'Elément rejeté', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '210', 'h', 'Partie du nom autre que l''élément d''entrée et autre que l''élément rejeté 0 0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '210', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '210', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '210', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '300', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '300', 'a', 'Note d''information', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '305', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '305', 'a', 'Formule introductive', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '310', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '310', 'a', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '320', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '330', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '330', 'a', 'Note sur le champ d''application', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '340', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '340', 'a', 'Note sur la biographie ou l''activité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '356', '6', 'Données de liens entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '356', 'a', 'Note géographique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '410', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '410', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '410', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '410', '4', 'Code de fonction', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '410', '5', 'Données codées relatives aux mentions de formes rejetées ou associées    0     0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '410', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '410', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '410', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '410', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '410', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '410', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '410', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '410', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '410', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '410', 'g', 'Elément rejeté', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '410', 'h', 'Partie du nom autre que l''élément d''entrée et que l''élément rejeté', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '410', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '410', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '410', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '410', 'z', 'Subdivision', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '510', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '510', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '510', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '510', '4', 'Code de fonction', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '510', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, -1, 'AUT_LIEN', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '510', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '510', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '510', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '510', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '510', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '510', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '510', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '510', 'e', 'Lieu de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '510', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '510', 'g', 'Elément rejeté', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '510', 'h', 'Partie du nom autre que l''élément d''entrée et que l''élément rejeté     0     0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '510', 'j', 'subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '510', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '510', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '510', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '675', 'a', 'Indice CDU, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '675', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '675', 'v', 'Edition de la CDU', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '675', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '676', 'a', 'Indice CDD, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '676', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '676', 'v', 'Edition de la CDD', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '676', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '680', 'a', 'Indice LCC, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '680', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '686', 'a', 'Indice , isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '686', 'b', 'Indice , fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '686', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '710', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '710', '3', 'Identificateur', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '710', '4', 'Code de fonction', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '710', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '710', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '710', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '710', 'b', 'Subdivision', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '710', 'c', 'Elément ajouté au nom ou qualificatif', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '710', 'd', 'Numéro de congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '710', 'e', 'Lieu du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '710', 'f', 'Date du congrès', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '710', 'g', 'Elément rejeté', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '710', 'h', 'Partie du nom autre que l''élément d''entrée et que l''élément rejeté', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '710', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '710', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '710', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '710', 'z', 'Subdivision', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '801', 'a', 'Pays', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '810', 'a', 'Citation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '810', 'b', 'Information trouvée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '815', 'a', 'Citation', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '820', 'a', 'Texte de la note', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '825', 'a', 'Texte de la note', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '830', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '835', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '835', 'b', 'Vedette de remplacement', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '835', 'd', 'Date de la transaction', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '836', 'b', 'Vedette remplacée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '836', 'd', 'Date de transaction', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '856', 'a', 'Nom du serveur', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '856', 'b', 'Numéro d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '856', 'c', 'Compression', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '856', 'd', 'Chemin d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '856', 'e', 'Date et heure de consultation et d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '856', 'f', 'Nom électronique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '856', 'g', 'Nom normalisé d''une ressource', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '856', 'h', 'Nom de l''utilisateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '856', 'i', 'Instruction', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '856', 'k', 'Mot de passe', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '856', 'l', 'Logon/login', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '856', 'm', 'Contact pour l''assistance technique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '856', 'o', 'système d''exploitation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '856', 'p', 'Port', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '856', 'q', 'Type de format électronique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '856', 'r', 'Paramétrage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '856', 's', 'Taille du fichier', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '856', 't', 'Emulation du terminal', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '856', 'v', 'Heures d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '856', 'w', 'Numéro d''identification de la notice', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '856', 'x', 'Note confidentielle', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '856', 'y', 'Mode d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '856', 'z', 'Note publique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '886', '2', 'Code de système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SCO', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '001', '@', 'tag 001', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '005', '@', 'tag 005', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '015', '@', 'tag 015', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '035', 'a', 'Numéro de contrôle système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '100', 'a', 'Données générale de traitement', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '101', 'a', 'Langue utilisée par l''entité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '102', 'a', 'Pays', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '102', 'b', 'Localité', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '106', 'a', 'Code d''un caractère', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '120', 'a', 'Données codées : nom de personne', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '152', 'a', 'Règles de catalogage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '152', 'b', 'système d''indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '160', 'a', 'Code de l''aire géographique', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '250', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '250', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '250', 'a', 'Elément d''entrée', '', 0, 1, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '250', 'b', 'Statut', '', 0, 0, -1, 'CAND', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '250', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '250', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '250', 'y', 'Subdivision  géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '250', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '300', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '300', 'a', 'Note d''information', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '305', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '305', 'a', 'Formule introductive', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '310', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '310', 'a', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '320', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '330', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '330', 'a', 'Note sur le champ d''application', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '340', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '340', 'a', 'Note sur la biographie ou l''activité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '356', '6', 'Données de liens entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '356', 'a', 'Note géographique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '450', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '450', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '450', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '450', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '450', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '450', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '450', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '450', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '450', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '450', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '450', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '450', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '550', '0', 'Formule introductive', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '550', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '550', '3', 'Identificateur de la notice d''autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '550', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, 'AUT_LIEN', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '550', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '550', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '550', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '550', '9', 'N° autorité koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '550', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'SNC', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '550', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '550', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '550', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '550', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '675', 'a', 'Indice CDU, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '675', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '675', 'v', 'Edition de la CDU', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '675', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '676', 'a', 'Indice CDD, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '676', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '676', 'v', 'Edition de la CDD', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '676', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '680', 'a', 'Indice LCC, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '680', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '686', 'a', 'Indice , isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '686', 'b', 'Indice , fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '686', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '750', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '750', '3', 'Identificateur', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '750', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '750', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '750', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '750', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '750', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '750', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '750', 'z', 'Subdivision', '', 0, 1, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '801', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', 'FR');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '595126101');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', 'YYYYMMDD');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '810', 'a', 'Citation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '810', 'b', 'Information trouvée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '815', 'a', 'Citation', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '820', 'a', 'Texte de la note', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '825', 'a', 'Texte de la note', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '830', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '835', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '835', 'b', 'Vedette de remplacement', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '835', 'd', 'Date de la transaction', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '836', 'b', 'Vedette remplacée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '836', 'd', 'Date de transaction', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '856', 'a', 'Nom du serveur', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '856', 'b', 'Numéro d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '856', 'c', 'Compression', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '856', 'd', 'Chemin d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '856', 'e', 'Date et heure de consultation et d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '856', 'f', 'Nom électronique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '856', 'g', 'Nom normalisé d''une ressource', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '856', 'h', 'Nom de l''utilisateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '856', 'i', 'Instruction', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '856', 'k', 'Mot de passe', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '856', 'l', 'Logon/login', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '856', 'm', 'Contact pour l''assistance technique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '856', 'o', 'système d''exploitation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '856', 'p', 'Port', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '856', 'q', 'Type de format électronique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '856', 'r', 'Paramétrage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '856', 's', 'Taille du fichier', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '856', 't', 'Emulation du terminal', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '856', 'v', 'Heures d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '856', 'w', 'Numéro d''identification de la notice', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '856', 'x', 'Note confidentielle', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '856', 'y', 'Mode d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '856', 'z', 'Note publique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '886', '2', 'Code de système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNC', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '001', '@', 'tag 001', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '005', '@', 'tag 005', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '015', '@', 'tag 015', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '035', 'a', 'Numéro de contrôle système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '100', 'a', 'Données générale de traitement', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '101', 'a', 'Langue utilisée par l''entité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '102', 'a', 'Pays', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '102', 'b', 'Localité', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '106', 'a', 'Code d''un caractère', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '120', 'a', 'Données codées : nom de personne', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '152', 'a', 'Règles de catalogage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '152', 'b', 'système d''indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '160', 'a', 'Code de l''aire géographique', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '215', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '215', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '215', 'a', 'Elément d''entrée', '', 0, 1, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '215', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '215', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '215', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '215', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '300', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '300', 'a', 'Note d''information', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '305', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '305', 'a', 'Formule introductive', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '310', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '310', 'a', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '320', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '330', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '330', 'a', 'Note sur le champ d''application', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '340', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '340', 'a', 'Note sur la biographie ou l''activité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '356', '6', 'Données de liens entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '356', 'a', 'Note géographique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '415', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '415', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '415', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '415', '5', 'Données codées relatives aux mentions de formes rejetées ou associées     0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '415', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '415', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '415', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '415', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '415', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '415', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '415', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '415', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '515', '0', 'Formule introductive', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '515', '3', 'Identificateur de la notice d''autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '515', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, 'AUT_LIEN', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '515', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '515', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '515', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '515', '9', 'N° autorité koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '515', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'SNG', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '515', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '515', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '515', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '515', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '675', 'a', 'Indice CDU, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '675', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '675', 'v', 'Edition de la CDU', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '675', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '676', 'a', 'Indice CDD, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '676', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '676', 'v', 'Edition de la CDD', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '676', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '680', 'a', 'Indice LCC, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '680', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '686', 'a', 'Indice , isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '686', 'b', 'Indice , fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '686', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '715', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '715', '3', 'Identificateur', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '715', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '715', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '715', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '715', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '715', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '715', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '715', 'z', 'Subdivision', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '801', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', 'FR');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '595126101');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', 'YYYYMMDD');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '810', 'a', 'Citation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '810', 'b', 'Information trouvée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '815', 'a', 'Citation', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '820', 'a', 'Texte de la note', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '825', 'a', 'Texte de la note', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '830', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '835', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '835', 'b', 'Vedette de remplacement', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '835', 'd', 'Date de la transaction', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '836', 'b', 'Vedette remplacée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '836', 'd', 'Date de transaction', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '856', 'a', 'Nom du serveur', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '856', 'b', 'Numéro d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '856', 'c', 'Compression', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '856', 'd', 'Chemin d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '856', 'e', 'Date et heure de consultation et d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '856', 'f', 'Nom électronique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '856', 'g', 'Nom normalisé d''une ressource', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '856', 'h', 'Nom de l''utilisateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '856', 'i', 'Instruction', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '856', 'k', 'Mot de passe', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '856', 'l', 'Logon/login', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '856', 'm', 'Contact pour l''assistance technique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '856', 'o', 'système d''exploitation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '856', 'p', 'Port', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '856', 'q', 'Type de format électronique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '856', 'r', 'Paramétrage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '856', 's', 'Taille du fichier', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '856', 't', 'Emulation du terminal', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '856', 'v', 'Heures d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '856', 'w', 'Numéro d''identification de la notice', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '856', 'x', 'Note confidentielle', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '856', 'y', 'Mode d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '856', 'z', 'Note publique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '886', '2', 'Code de système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('SNG', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '001', '@', 'tag 001', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '005', '@', 'tag 005', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '015', '@', 'tag 015', '', 0, 0, -1, '', NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '035', 'a', 'Numéro de contrôle système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '100', 'a', 'Données générale de traitement', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '101', 'a', 'Langue utilisée par l''entité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '102', 'a', 'Pays', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '102', 'b', 'Localité', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '106', 'a', 'Code d''un caractère', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '120', 'a', 'Données codées : nom de personne', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '152', 'a', 'Règles de catalogage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '152', 'b', 'système d''indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '160', 'a', 'Code de l''aire géographique', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '230', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '230', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '230', 'a', 'Elément d''entrée', '', 0, 1, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '230', 'b', 'Indication générale du type de document', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '230', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '230', 'i', 'Titre de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '230', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '230', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '230', 'l', 'Sous-vedette de forme', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '230', 'm', 'Langue', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '230', 'q', 'Version (ou date d''une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '230', 'r', 'Distribution d''exécution (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '230', 's', 'Références numériques (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '230', 'u', 'Tonalité (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '230', 'w', 'Mention d''arrangement', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '230', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '230', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '230', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '300', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '300', 'a', 'Note d''information', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '305', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '305', 'a', 'Formule introductive', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '310', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '310', 'a', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '320', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '330', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '330', 'a', 'Note sur le champ d''application', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '340', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '340', 'a', 'Note sur la biographie ou l''activité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '356', '6', 'Données de liens entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '356', 'a', 'Note géographique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '430', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '430', '2', 'code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '430', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '430', '5', 'Données codées relatives aux mentions de formes rejetées ou associées     0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '430', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '430', '7', 'Ecriture de catalogage et écriture de la racine de la vedette     0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '430', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '430', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '430', 'b', 'Indication générale du type de document', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '430', 'h', 'Numéro de section ou  de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '430', 'i', 'titre de section ou  de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '430', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '430', 'k', 'date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '430', 'l', 'Sous-vedette de forme', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '430', 'm', 'Langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '430', 'n', 'Autres informations', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '430', 'q', 'Version (ou date d''une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '430', 'r', 'Distribution d''exécution (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '430', 's', 'Références numériques (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '430', 'u', 'Tonalité (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '430', 'w', 'Mention d''arrangement (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '430', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '430', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '430', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '530', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '530', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '530', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '530', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, -1, 'AUT_LIEN', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '530', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '530', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '530', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '530', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '530', 'b', 'Indication générale du type de document', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '530', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '530', 'i', 'Titre de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '530', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '530', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '530', 'l', 'Sous-vedette de forme', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '530', 'm', 'langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '530', 'n', 'Autre informations', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '530', 'q', 'Version (ou date d''une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '530', 'r', 'Distribution d''exécution (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '530', 's', 'Références numériques (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '530', 'u', 'Tonalité (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '530', 'w', 'Mention d''arrangement (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '530', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '530', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '530', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '675', 'a', 'Indice CDU, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '675', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '675', 'v', 'Edition de la CDU', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '675', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '676', 'a', 'Indice CDD, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '676', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '676', 'v', 'Edition de la CDD', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '676', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '680', 'a', 'Indice LCC, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '680', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '686', 'a', 'Indice , isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '686', 'b', 'Indice , fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '686', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '730', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '730', '3', 'Identificateur', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '730', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '730', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '730', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '730', 'b', 'Indication générale du type de document', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '730', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '730', 'i', 'titre de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '730', 'j', 'Subdivision de forme', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '730', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '730', 'l', 'Sous-vedette de forme', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '730', 'm', 'Langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '730', 'n', 'Autres informations', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '730', 'q', 'Version (ou date d''une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '730', 'r', 'Distribution d''exécution (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '730', 's', 'Références numériques (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '730', 'u', 'Tonalité (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '730', 'w', 'Mention d''arrangement (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '730', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '730', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '730', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '801', 'a', 'Pays', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '810', 'a', 'Citation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '810', 'b', 'Information trouvée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '815', 'a', 'Citation', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '820', 'a', 'Texte de la note', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '825', 'a', 'Texte de la note', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '830', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '835', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '835', 'b', 'Vedette de remplacement', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '835', 'd', 'Date de la transaction', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '836', 'b', 'Vedette remplacée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '836', 'd', 'Date de transaction', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '856', 'a', 'Nom du serveur', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '856', 'b', 'Numéro d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '856', 'c', 'Compression', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '856', 'd', 'Chemin d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '856', 'e', 'Date et heure de consultation et d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '856', 'f', 'Nom électronique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '856', 'g', 'Nom normalisé d''une ressource', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '856', 'h', 'Nom de l''utilisateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '856', 'i', 'Instruction', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '856', 'k', 'Mot de passe', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '856', 'l', 'Logon/login', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '856', 'm', 'Contact pour l''assistance technique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '856', 'o', 'système d''exploitation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '856', 'p', 'Port', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '856', 'q', 'Type de format électronique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '856', 'r', 'Paramétrage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '856', 's', 'Taille du fichier', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '856', 't', 'Emulation du terminal', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '856', 'v', 'Heures d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '856', 'w', 'Numéro d''identification de la notice', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '856', 'x', 'Note confidentielle', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '856', 'y', 'Mode d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '856', 'z', 'Note publique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '886', '2', 'Code de système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('STU', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TM', '216', '3', 'Identification autorité', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TM', '216', '7', 'Écriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TM', '216', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TM', '216', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TM', '216', 'c', 'Qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TM', '216', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TM', '216', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TM', '216', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TM', '216', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TM', '216', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TM', '416', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TM', '416', 'c', 'Qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TM', '416', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TM', '416', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TM', '416', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TM', '416', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TM', '416', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TM', '516', '5', 'Type de lien', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TM', '516', '9', 'Numero autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TM', '516', 'a', 'Auteur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'TM', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TM', '516', 'c', 'Qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TM', '516', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TM', '516', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TM', '516', 'y', 'Subdivision géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TM', '516', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TM', '716', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TM', '716', 'c', 'Qualificatif', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TM', '716', 'f', 'Dates', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TM', '716', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TM', '716', 'x', 'Subdivision de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TM', '716', 'y', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TM', '716', 'z', 'Subdivision chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '001', '@', 'tag 001', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '005', '@', 'tag 005', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '015', '@', 'tag 015', '', 0, 0, -1, '', '', NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '035', 'a', 'Numéro de contrôle système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '035', 'z', 'Numéro de contrôle annulé ou erroné', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '100', 'a', 'Données générale de traitement', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '101', 'a', 'Langue utilisée par l''entité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '102', 'a', 'Pays', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '102', 'b', 'Localité', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '106', 'a', 'Code d''un caractère', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '120', 'a', 'Données codées : nom de personne', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '123', 'd', 'Coordonnée-Longitude la plus occidentale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '123', 'e', 'Coordonnée-Longitude la plus orientale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '123', 'f', 'Coordonnée-Latitude la plus septentrionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '123', 'g', 'Coordonnée-Latitude la plus méridionale', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '150', 'a', 'Données de traitement sur la collectivité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '152', 'a', 'Règles de catalogage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '152', 'b', 'système d''indexation matière', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '154', 'a', 'Données générales de traitement du titre', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '160', 'a', 'Code de l''aire géographique', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '230', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '230', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '230', 'a', 'Elément d''entrée', '', 0, 1, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '230', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '230', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '230', 'i', 'Titre de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '230', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '230', 'k', 'Date de publication', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '230', 'l', 'Sous-vedette de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '230', 'm', 'Langue', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '230', 'q', 'Version (ou date d''une version)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '230', 'r', 'Distribution d''exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '230', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '230', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '230', 'w', 'Mention d''arrangement', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '230', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '230', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '230', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '300', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '300', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '300', 'a', 'Note d''information', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '305', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '305', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '305', 'a', 'Formule introductive', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '305', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '310', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '310', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '310', 'a', 'Formule introductive', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '310', 'b', 'Vedette à laquelle on renvoie', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '320', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '320', 'a', 'Note de renvoi explicatif', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '330', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '330', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '330', 'a', 'Note sur le champ d''application', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '340', '6', 'Données de lien entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '340', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '340', 'a', 'Note sur la biographie ou l''activité', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '356', '6', 'Données de liens entre zones', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '356', '7', 'Ecriture de la notice et écriture de la racine de la vedette', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '356', 'a', 'Note géographique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '430', '0', 'Formule introductive', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '430', '2', 'code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '430', '3', 'Identificateur de la notice d''autorité', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '430', '5', 'Données codées relatives aux mentions de formes rejetées ou associées     0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '430', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '430', '7', 'Ecriture de catalogage et écriture de la racine de la vedette     0', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '430', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '430', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '430', 'b', 'Indication générale du type de document', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '430', 'h', 'Numéro de section ou  de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '430', 'i', 'titre de section ou  de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '430', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '430', 'k', 'date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '430', 'l', 'Sous-vedette de forme', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '430', 'm', 'Langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '430', 'n', 'Autres informations', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '430', 'q', 'Version (ou date d''une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '430', 'r', 'Distribution d''exécution (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '430', 's', 'Références numériques (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '430', 'u', 'Tonalité (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '430', 'w', 'Mention d''arrangement (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '430', 'x', 'Subdiv. de sujet', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '430', 'y', 'Subdiv. géographique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '430', 'z', 'Subdiv. chronologique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '530', '0', 'Formule introductive', '', 0, 0, -1, '', '', NULL, 0, 0, 0, '', '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '530', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '530', '3', 'Identificateur de la notice d''autorité', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '530', '5', 'Données codées relatives aux mentions de formes rejetées ou  associées    0', '', 0, 0, 0, 'AUT_LIEN', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '530', '6', 'Données de lien entre zones', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '530', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '530', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '530', '9', 'N° autorité koha', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '530', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, 'TU', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '530', 'b', 'Indication générale du type de document', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '530', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '530', 'i', 'Titre de section ou de partie', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '530', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '530', 'k', 'Date de publication', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '530', 'l', 'Sous-vedette de forme', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '530', 'm', 'Langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '530', 'n', 'Autre informations', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '530', 'q', 'Version (ou date d''une version)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '530', 'r', 'Distribution d''exécution (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '530', 's', 'Références numériques (pour la musique)', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '530', 'u', 'Tonalité (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '530', 'w', 'Mention d''arrangement (pour la musique)', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '530', 'x', 'Subdiv. de sujet', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '530', 'y', 'Subdiv. géographique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '530', 'z', 'Subdiv. chronologique', '', 1, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '675', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '675', 'a', 'Indice CDU, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '675', 'b', 'Indice CDU, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '675', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '675', 'v', 'Edition de la CDU', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '675', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '676', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '676', 'a', 'Indice CDD, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '676', 'b', 'Indice CDD, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '676', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '676', 'v', 'Edition de la CDD', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '676', 'z', 'Langue de l''édition', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '680', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '680', 'a', 'Indice LCC, isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '680', 'b', 'Indice LCC, fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '680', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '686', '3', 'Identificateur de la notice de classification', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '686', 'a', 'Indice , isolé ou début d''une série', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '686', 'b', 'Indice , fin de série', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '686', 'c', 'Termes explicatifs', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '730', '2', 'Code du système d''indexation matière', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '730', '3', 'Identificateur', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '730', '7', 'Ecriture de catalogage et écriture de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '730', '8', 'Langue de catalogage et langue de la racine de la vedette', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '730', 'a', 'Elément d''entrée', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '730', 'b', 'Indication générale du type de document', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '730', 'h', 'Numéro de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '730', 'i', 'titre de section ou de partie', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '730', 'j', 'Subdivision de forme', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '730', 'k', 'Date de publication', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '730', 'l', 'Sous-vedette de forme', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '730', 'm', 'Langue (quand elle fait partie de la vedette)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '730', 'n', 'Autres informations', '', 1, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '730', 'q', 'Version (ou date d''une version)', '', 0, 0, 0, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '730', 'r', 'Distribution d''exécution (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '730', 's', 'Références numériques (pour la musique)', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '730', 'u', 'Tonalité (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '730', 'w', 'Mention d''arrangement (pour la musique)', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '730', 'x', 'Subdiv. de sujet', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '730', 'y', 'Subdiv. géographique', '', 1, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '730', 'z', 'Subdiv. chronologique', '', 0, 0, -1, '', '', '', NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '801', 'a', 'Pays', '', 0, 0, 0, '', '', NULL, 0, 0, 0, '', '', 'FR');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '801', 'b', 'Etablissement catalogueur', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', '595126101');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '801', 'c', 'Date dernière transaction', '', 0, 0, 0, '', '', NULL, 0, 0, 0, NULL, '', 'YYYYMMDD');
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '810', 'a', 'Citation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '810', 'b', 'Information trouvée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '815', 'a', 'Citation', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '820', 'a', 'Texte de la note', '', 1, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '825', 'a', 'Texte de la note', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '830', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '835', 'a', 'Texte de la note', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '835', 'b', 'Vedette de remplacement', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '835', 'd', 'Date de la transaction', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '836', 'b', 'Vedette remplacée', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '836', 'd', 'Date de transaction', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '856', 'a', 'Nom du serveur', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '856', 'b', 'Numéro d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '856', 'c', 'Compression', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '856', 'd', 'Chemin d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '856', 'e', 'Date et heure de consultation et d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '856', 'f', 'Nom électronique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '856', 'g', 'Nom normalisé d''une ressource', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '856', 'h', 'Nom de l''utilisateur', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '856', 'i', 'Instruction', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '856', 'j', 'Bits par seconde', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '856', 'k', 'Mot de passe', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '856', 'l', 'Logon/login', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '856', 'm', 'Contact pour l''assistance technique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '856', 'n', 'Adresse du serveur cité dans la sous-zone $a', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '856', 'o', 'système d''exploitation', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '856', 'p', 'Port', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '856', 'q', 'Type de format électronique', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '856', 'r', 'Paramétrage', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '856', 's', 'Taille du fichier', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '856', 't', 'Emulation du terminal', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '856', 'u', 'Adresse électronique normalisée (URL)', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '856', 'v', 'Heures d''accès', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '856', 'w', 'Numéro d''identification de la notice', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '856', 'x', 'Note confidentielle', '', 0, 1, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '856', 'y', 'Mode d''accès', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '856', 'z', 'Note publique', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '886', '2', 'Code de système', '', 0, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '886', 'a', 'Etiquette de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
INSERT INTO `auth_subfield_structure` (`authtypecode`, `tagfield`, `tagsubfield`, `liblibrarian`, `libopac`, `repeatable`, `mandatory`, `tab`, `authorised_value`, `value_builder`, `seealso`, `isurl`, `hidden`, `linkid`, `kohafield`, `frameworkcode`, `defaultvalue`) VALUES ('TU', '886', 'b', 'Indicateurs et sous-zones de la zone du format source', '', 1, 0, -1, NULL, NULL, NULL, NULL, 0, 0, NULL, '', NULL);
